<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();
$set['title'] = 'добавление в кумиры.';
include_once '../sys/inc/thead.php';
title();
aut();
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);else {header("Location: /index.php?".SID);exit;}if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /index.php?".SID);exit;}
$ank=get_user($ank['id']);
if ($user['id']==$ank['id']){header("Location: /index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `kumir` WHERE `user` = '$user[id]' AND `kum` = '$ank[id]'"), 0)==1){header("Location: index.php?".SID);exit;}
if($ank['kumir']=='1'){echo" <div class=post1>обитатель $ank[nick] запретил добавлять его в кумиры!!!</div>";}else{
if (isset($_GET['go']))
{mysql_result(mysql_query("SELECT COUNT(*) FROM `kumir` WHERE (`user` = '$user[id]' AND `kum` = '$ank[id]') OR (`user` = '$ank[id]' AND `kum` = '$user[id]') LIMIT 1"),0)==1; mysql_query("INSERT INTO `kumir` (`user`, `kum`, `time`) values('$user[id]', '$ank[id]', '$time')");
msg('обитатель успешно добавлен в ваши кумиры');
$m='[url=/info.php?id='.$user[id].']'.$user[nick].'[/url] добавил вас в свои кумиры.';mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$m', '$time')");
echo "<a href='/info.php?id=$ank[id]'>на страницу обитателя</a><br/>";
include_once '../sys/inc/tfoot.php';break;
}
echo "<form method=\"post\" action=\"?id=$ank[id]&go\">";
echo "Вы точно хотите добавить этого обитателя в свои кумиры?<br/>";
echo "<input class=\"button\" type=\"submit\" value=\"Да, хочу\" />";   echo "<a href='/info.php?id=$ank[id]'>отмена</a><br/>";
echo "</form>\n";
}
echo "<div class=foot><a href='/info.php?id=$ank[id]'>назад</a></div>";
include_once '../sys/inc/tfoot.php';
?>
